Index: detail/managed_memory_impl.hpp
===================================================================
--- detail/managed_memory_impl.hpp	(revision 61565)
+++ detail/managed_memory_impl.hpp	(working copy)
@@ -681,8 +681,8 @@
    //!initialized that allocates memory from this segment manager.
    template<class T>
    typename allocator<T>::type
-      get_allocator()
-   {   return mp_header->get_allocator<T>(); }
+   get_allocator()
+   {   return mp_header->template get_allocator<T>(); }
 
    //!This is the default deleter to delete types T
    //!from this managed segment.
@@ -696,8 +696,8 @@
    //!initialized that allocates memory from this segment manager.
    template<class T>
    typename deleter<T>::type
-      get_deleter()
-   {   return mp_header->get_deleter<T>(); }
+   get_deleter()
+   {   return mp_header->template get_deleter<T>(); }
 
    /// @cond
    //!Tries to find a previous named allocation address. Returns a memory
Index: detail/transform_iterator.hpp
===================================================================
--- detail/transform_iterator.hpp	(revision 61565)
+++ detail/transform_iterator.hpp	(working copy)
@@ -54,7 +54,7 @@
    // This function is needed for MWCW and BCC, which won't call operator->
    // again automatically per 13.3.1.2 para 8
 //   operator T*() const { return &m_value; }
-   mutable T &m_value;
+   T &m_value;
 };
 
 template <class Iterator, class UnaryFunction>
Index: containers/container/detail/config_begin.hpp
===================================================================
--- containers/container/detail/config_begin.hpp	(revision 61565)
+++ containers/container/detail/config_begin.hpp	(working copy)
@@ -16,12 +16,12 @@
 
 #ifdef BOOST_MOVE_IN_INTERPROCESS
 
-#define INCLUDE_BOOST_CONTAINER_MOVE_HPP <boost/interprocess/detail/move.hpp >
+#define INCLUDE_BOOST_CONTAINER_MOVE_HPP <boost/interprocess/detail/move.hpp>
 #define BOOST_CONTAINER_MOVE_NAMESPACE boost::interprocess
 
 #else
 
-#define INCLUDE_BOOST_CONTAINER_MOVE_HPP <boost/move/move.hpp >
+#define INCLUDE_BOOST_CONTAINER_MOVE_HPP <boost/move/move.hpp>
 #define BOOST_CONTAINER_MOVE_NAMESPACE boost
 
 #endif
Index: containers/container/detail/transform_iterator.hpp
===================================================================
--- containers/container/detail/transform_iterator.hpp	(revision 61565)
+++ containers/container/detail/transform_iterator.hpp	(working copy)
@@ -51,7 +51,7 @@
    // This function is needed for MWCW and BCC, which won't call operator->
    // again automatically per 13.3.1.2 para 8
 //   operator T*() const { return &m_value; }
-   mutable T &m_value;
+   T &m_value;
 };
 
 template <class Iterator, class UnaryFunction>
